<h1 align="center"><a target="_blank" href="https://lsdev.biz/lsx/"><img src="https://www.lsdev.biz/lsx/wp-content/uploads/2020/10/lsx-theme-primary-logo.png" alt="LSX Theme"></a></h1>

<h4 align="center">A flexible <a href="https://github.com/wordpress/gutenberg" target="_blank">Gutenberg</a>-first <a href="https://wordpress.org" target="_blank">WordPress</a> theme. <a href="https://wordpress.org/" target="_blank">
		<img src="https://img.shields.io/static/v1?label=&message=5.0+-+5.5&color=blue&style=flat-square&logo=wordpress&logoColor=white" alt="WordPress Versions">
	</a></h4>

<p align="center">
    <a href="https://woocommerce.com/?aff=2873/"><img src="https://lsx.lsdev.biz/wp-content/uploads/2019/06/687474703a2f2f696d672e736869656c64732e696f2f62616467652f44657369676e6564253230666f722d576f6f436f6d6d657263652d6134363439372e737667-1.png" alt="Made for Woocommerce"></a>
    <a href="https://www.gnu.org/licenses/gpl-3.0.en.html"><img src="https://poser.pugx.org/woocommerce/woocommerce/license" alt="license"></a> 
    <a href="http://gulpjs.com/"><img src="https://img.shields.io/badge/built%20with-gulp.js-green.svg" alt="Built with gulp.js"></a> 
</p>
<p align="center">
    <a href="https://codeclimate.com/github/lightspeeddevelopment/lsx"><img src="https://codeclimate.com/github/lightspeeddevelopment/lsx/badges/gpa.svg" alt="Code Climate"></a>
    <a href="https://scrutinizer-ci.com/g/lightspeeddevelopment/lsx/?branch=master"><img src="https://scrutinizer-ci.com/g/lightspeeddevelopment/lsx/badges/quality-score.png?b=master" alt="Scrutinizer"></a>
    <a href="https://coveralls.io/github/lightspeeddevelopment/lsx?branch=master"><img src="https://coveralls.io/repos/github/lightspeeddevelopment/lsx/badge.svg?branch=master" alt="Coverals"></a>
    <a href="https://travis-ci.org/lightspeeddevelopment/lsx"><img src="https://travis-ci.org/lightspeeddevelopment/lsx.svg?branch=master" alt="Build Status"></a>
</p>
<br>

<p align="center">
	<a href="#key-features">Key Features</a>
	&nbsp;|&nbsp;
	<a href="#download">Download</a>
	&nbsp;|&nbsp;
	<a href="#showcase">Showcase</a>
	&nbsp;|&nbsp;
  <a href="#documentation">Documentation</a>
	&nbsp;|&nbsp;
	<a href="#support">Support</a>
	&nbsp;|&nbsp;
  <a href="#contributing">Contributing</a>
	&nbsp;|&nbsp;
	<a href="#credits">Credits</a>
	&nbsp;|&nbsp;
	<a href="#license">License</a>
</p>


<p align="center">
	
	  
</p>
<br>

![screenshot](https://github.com/lightspeeddevelopment/lsx/blob/master/screenshot.png)

## Key Features

The [LSX Theme](https://lsdev.biz/lsx/) is block editor ready, light-weight & responsive WordPress theme that allows users to create fast, efficient and attractive websites that are feature-rich. We've built it to be fully compatible with WooCommerce, making it an ideal choice for your next eCommerce build. Its lightweight build ensures better load times, a bonus for both user experience and SEO. LSX has been designed to be minimal and lean, while still having rich customizer options, like allowing you to control fonts, color options, home page configuration, widget areas and much more. 

* Responsive Layout
* Customise Logo & Site Icon
* Customise Colors
* Customise Fonts
* Customise Menus
* Multiple Design Styles
* Multiple Header Variations
* Multiple Footer Variations
* Social Links Menu
* WooCommerce Ready
* Translation Ready
* Sensei LMS Ready
* Portfolio
* Blog
* Block Editor styles,
* Wide Blocks
* Featured Images
* Sticky Posts
* Threaded Comments


## Download

[Click here to download](https://downloads.wordpress.org/theme/lsx.zip) the latest release package of LSX for WordPress.

## Showcase

A theme is only as good as the websites it creates.

We have built to be powerful, as demonstrated by this showcase of our favorite designs, each one built entirely with LSX and a few recommended plugins, like [WooCommerce](https://woocommerce.com/), [LSX Blocks](https://www.lsdev.biz/lsx/blocks/) and other [LSX Extensions](https://www.lsdev.biz/lsx/extensions/). The free extensions allow you to add team members, client reviews, portfolio, videos and so much more to your website. Each extension is designed fluidly with the LSX theme, no code needed. 

* [LSX + LSX Extensions + WooCommerce](https://lsx-demo.lsdev.biz/)
* [LSX + LSX Health Extension + WooCommerce](https://lsx-health-plan.lsdev.biz/)
* [LSX + LSX Tour Operator Plugin + Wetu Importer](https://tour-operator-demo.lsdev.biz/)
* [LSX + LSX Tour Operator Plugin & Extensions + Wetu Importer](https://to-demo.lsdev.biz/)
* [LSX + LSX Business Directory Extension + WooCommerce + WooCommerce Memberships](https://lsx-business-directory.lsdev.biz/)
* [LSX + WooCommerce + Sensei + Paid Courses](https://lsx-sensei-demo.lsdev.biz/)
* [LSX + WooCommerce](https://lsx-woocommerce-demo.lsdev.biz/)

## Documentation

We have extensive documentation on all our themes functionality. This allows you to take control of your website setup and design to your needs: 

* [Getting Starting with LSX](https://lsdev.biz/lsx/documentation/lsx-theme/getting-started-with-lsx-theme/)
* [Theme Options](https://lsdev.biz/lsx/documentation/lsx-theme/theme-options/)
* [Customizer](https://lsdev.biz/lsx/documentation/lsx-theme/lsx-customizer/)
* [Page Tempates](https://lsdev.biz/lsx/documentation/lsx-theme/page-templates/)
* [Menus](https://lsdev.biz/lsx/documentation/lsx-theme/menus/)
* [Third Party Plugins](https://lsdev.biz/lsx/documentation/lsx-theme/third-party-plugins/)

## Support

Take a look at all our [Frequently Asked Questions](https://lsx.lsdev.biz/documentation/frequently-asked-questions/), we are sure you'll find what you're looking for. 

If you are experiencing issues with the LSX Theme, please log any bug issues you are having on the [LSX Github Issues](https://github.com/lightspeeddevelopment/lsx/issues) page.

## Contributing

If you're a developer who's spotted a bug issue and have a fix, or simply have functionality you think would extend our core theme, we are always happy to accept your contribution! Visit the [LSX theme on Github](https://github.com/lightspeeddevelopment/lsx) and submit a Pull Request with your updates.

## Credits

This software uses the following open source packages:

* [WordPress](https://wordpress.org/)
* [Underscores](https://underscores.me/) (C) 2014-2020 Automattic, Inc.
* [Composer](https://getcomposer.org/)
* [WebPack](https://webpackwebpack.js.org/)
* [Gulp](https://gulpjs.com/)
* [Node.js](https://nodejs.org/)
* [PHP_CodeSniffer](https://github.com/squizlabs/PHP_CodeSniffer)
* [WP-Bootstrap-Navwalker](https://github.com/twittem/wp-bootstrap-navwalker) is licensed under the terms of the GNU GPL, Version 3.
* [Bootstrap](http://getbootstrap.com/) is licensed under the terms of the MIT license.
* [Font Awesome](http://fontawesome.io/) icons are licensed under the terms of the SIL OFL 1.1, and code licensed under the terms of MIT License.
* [Modernizr](https://modernizr.com/) is licensed under the terms of the MIT license.
* [imagesLoaded](http://imagesloaded.desandro.com/) is licensed under the terms of the MIT license.
* [ScrollToFixed](https://github.com/bigspotteddog/ScrollToFixed) is licensed under the terms of the MIT license.
* [Picturefill](https://scottjehl.github.io/picturefill/) is licensed under the terms of the MIT license.
* [lazysizes](https://github.com/aFarkas/lazysizes) is licensed under MIT license.

## License

This theme, like WordPress, is licensed under the GPL. Use it to make something cool, have fun, and share what you've learned with others.

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.


---
<p align="center">
  <a href="https://www.lsdev.biz/contact/"><img src="https://www.lsdev.biz/wp-content/uploads/2020/02/work-with-lightspeed.png" width="850" alt="Work with us at LightSpeed"></a>
</p>
<p align="center">
  <a href="https://www.lsdev.biz">LightSpeed's Company Website</a> &nbsp;&middot;&nbsp;
  <a href="https://www.lsdev.biz/lsx/">LSX Product Website</a>
</p>
<p align="center">
  <a href="https://github.com/lightspeeddevelopment">GitHub</a> &nbsp;&middot;&nbsp;
  <a href="https://facebook.com/lightspeedwordpressdevelopment">Facebook</a> &nbsp;&middot;&nbsp;
  <a href="https://twitter.com/lightspeedwp">Twitter</a>
</p>
<p align="center">
  Copyright © 2020 LightSpeed WordPress Development. All Rights Reserved.
</p>
